Bug 163602 - DPMS doesn't blank screen using VESA driver on Dell GX620
DPMS doesn't blank screen using VESA driver on Dell GX620
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 09:19 EDT by Bob Manson
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEL4 U2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-24 20:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file (49.42 KB, text/x-log)
2005-08-02 16:53 EDT, Bob Manson
no flags Details

  None (edit)
Description Bob Manson 2005-07-19 09:19:58 EDT
Description of problem:
DPMS doesn't work for VESA driver on a new Dell GX620 when using the on-board
video adapter although it does work for a PCIe X300 Radeon or even an old PCI
Matrox Millenium.  Recompiling and installing xorg-x11-6.8.2-43 from FC4 had no
effect.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2.1.EL.13.6

How reproducible:
Try to use xset to force the screen to blank

Steps to Reproduce:
1. xset dpms force standby
2.
3.
  
Actual results:
No effect

Expected results:
Screen should have gone blank.

Additional info:
Comment 1 Bob Manson 2005-07-19 09:20:44 EDT
# lspci -v
00:00.0 Host bridge: Intel Corporation Memory Controller Hub (rev 02)
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 PCI bridge: Intel Corporation PCI Express Graphics Port (rev 02)
(prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: efd00000-efdfffff
        Capabilities: [88] #0d [0000]
        Capabilities: [80] Power Management version 2
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [a0] Express Root Port (Slot+) IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [140] Unknown (5)

00:02.0 VGA compatible controller: Intel Corporation Integrated Graphics
Controller (rev 02) (prog-if 00 [VGA])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at eff00000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at e898 [size=8]
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Memory at efec0000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [d0] Power Management version 2

00:02.1 Display controller: Intel Corporation Integrated Graphics Controller
(rev 02)
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, fast devsel, latency 0
        Memory at eff80000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 2

00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        Memory behind bridge: efc00000-efcfffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Memory behind bridge: efb00000-efbfffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev
01) (prog-if 00 [UHCI])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 185
        I/O ports at ff80 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev
01) (prog-if 00 [UHCI])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 193
        I/O ports at ff60 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev
01) (prog-if 00 [UHCI])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 201
        I/O ports at ff40 [size=32]

00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev
01) (prog-if 00 [UHCI])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 209
        I/O ports at ff20 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01) (prog-if 20 [EHCI])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 185
        Memory at ffa80800 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1) (prog-if 01
[Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=32
        Capabilities: [50] #0d [0000]

00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7 Family)
AC'97 Audio Controller (rev 01)
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 209
        I/O ports at ec00 [size=256]
        I/O ports at e8c0 [size=64]
        Memory at efebfa00 (32-bit, non-prefetchable) [size=512]
        Memory at efebf900 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 01) (prog-if 8a [Master SecP PriP])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at ffa0 [size=16]

00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) Serial ATA
Storage Controllers cc=IDE (rev 01) (prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, 66Mhz, medium devsel, latency 0, IRQ 217
        I/O ports at fe00 [size=8]
        I/O ports at fe10 [size=4]
        I/O ports at fe20 [size=8]
        I/O ports at fe30 [size=4]
        I/O ports at fea0 [size=16]
        Capabilities: [70] Power Management version 2

00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
        Subsystem: Dell: Unknown device 01ad
        Flags: medium devsel, IRQ 177
        I/O ports at e8a0 [size=32]

02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 01)
        Subsystem: Dell: Unknown device 01ad
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at efcf0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/3 Enable-
        Capabilities: [d0] Express Endpoint IRQ 0
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [13c] Virtual Channel

Comment 2 Olivier Baudron 2005-08-01 04:20:05 EDT
Does the problem persist in 6.8.2-45 ?
Comment 3 Bob Manson 2005-08-02 16:22:47 EDT
Yes.  I just recompiled and installed 6.8.2-45 (from FC4) and the problem
persists.  I got this from the Xorg.0.log:

[root@p50]# grep -i dpms /var/log/Xorg.0.log
(II) Loading extension DPMS
(II) VESA(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(**) Option "dpms"
(**) VESA(0): DPMS enabled

and also:
[root@p50]# grep WW /var/log/Xorg.0.log
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(WW) VESA(0): Bad V_BIOS checksum
(WW) VESA(0): Bad V_BIOS checksum
(WW) VESA(0): Failed to set up write-combining range (0xd0000000,0x7b0000)


Comment 4 Olivier Baudron 2005-08-02 16:39:28 EDT
Can you attach your Xorg.0.log ?
Also, what version of gcc did you use to rebuild xorg-x11 ?
Comment 5 Bob Manson 2005-08-02 16:53:20 EDT
Created attachment 117378 [details]
Xorg.0.log file

I've attached the Xorg.0.log file.  The version of gcc is the most up-to-date
RHEL4 version:

[root@p50]# gcc --version
gcc (GCC) 3.4.3 20050227 (Red Hat 3.4.3-22.1)
Copyright (C) 2004 Free Software Foundation, Inc.
Comment 6 Olivier Baudron 2005-08-03 06:01:42 EDT
In reply to comment #3:

> (WW) Open APM failed (/dev/apm_bios) (No such file or directory):

Same here and apms works, so it would not be that!

> (WW) VESA(0): Bad V_BIOS checksum

is followed by:
(II) VESA(0): Primary V_BIOS segment is: 0xc000
So the second segment tested is the right one.

> (WW) VESA(0): Failed to set up write-combining range (0xd0000000,0x7b0000)

That would be only a performance issue, so it cannot be related to this bug.

Btw, have you tried:
sleep 1; xset dpms force standby
Comment 7 Bob Manson 2005-08-03 08:23:11 EDT
Putting a sleep before the xset didn't work.  I installed a *really* old trident
video card last night (640x480 16 bit colour) and the xset worked fine.  The
problem is that--come September--I'm going to have over 100 of these machines in
a lab that's open 24/7 and can't depend on people to turn off the monitors.
Comment 8 Olivier Baudron 2005-08-03 09:46:15 EDT
Last question before I look inside the code:
xset dpms 5 10 15
does not turn off the monitor even after 15 seconds ?
Comment 9 Bob Manson 2005-08-03 09:56:05 EDT
Correct...it has no effect at all.   Could it be the GMA 950 graphics on the
Dell GX620?  
Comment 10 Bob Manson 2005-08-04 09:40:08 EDT
Don't know if this helps or not, but the (text) console *does* go blank after
about 10 minutes.  It's just the graphics screen that doesn't work.
Comment 11 Bob Manson 2005-08-18 17:16:46 EDT
I grabbed: 

http://dri.freedesktop.org/snapshots/i915-20050718-linux.i386.tar.bz2

and installed it on my machine (with the 2.6.9-11.ELsmp kernel) and ran the
install.sh script.  The VESA driver still doesn't work but the good news is that
now I can use the i810 driver and specify i910 as a board name in the xorg.conf
file:

Section "Device"
        Identifier  "Videocard0"
        Driver      "i810"
        VendorName  "Videocard vendor"
        BoardName   "Intel 915"
EndSection

Comment 12 Mike A. Harris 2005-08-30 07:01:42 EDT
We may update the Intel driver to a newer one which has support for
newer Intel hardware in a future RHEL4 update, however it hasn't
been completely decided quite yet.

In the mean time, you can obtain official Red Hat support for this
issue by visiting http://www.redhat.com/support or by calling
Red Hat support at 1-888-RED-HAT1, depending on the terms of your
support contract.

Hope this helps.
Comment 13 Mike A. Harris 2005-09-24 20:06:43 EDT
Intel i9xx video support has been upgraded in Red Hat Enterprise Linux 4 U2
release.  Please upgrade to this release and use the "i810" driver.  If the
problem you were experiencing still exists after performing this upgrade,
please contact Red Hat global support services at http://www.redhat.com/support
or by calling Red Hat support at 1-888-RED-HAT1 for official Red Hat support
for this issue, depending on the terms of your support contract.

Setting status to "CURRENTRELEASE" of RHEL4 U2.
Comment 14 Rex Dieter 2006-03-09 15:02:27 EST
New(er) DELL GX620's seem to have the same problem, see bug #184551
Comment 15 Rex Dieter 2006-03-09 15:33:45 EST
Nevermind, this chipset is still missing from hwdata, that's why it wasn't
recognized for me.

Note You need to log in before you can comment on or make changes to this bug.